Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
+++ uspace/lib/fs/libfs.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -71,15 +71,15 @@
 static char fs_name[FS_NAME_MAXLEN + 1];
 
-static void libfs_link(libfs_ops_t *, fs_handle_t, ipc_callid_t,
+static void libfs_link(libfs_ops_t *, fs_handle_t, cap_call_handle_t,
     ipc_call_t *);
-static void libfs_lookup(libfs_ops_t *, fs_handle_t, ipc_callid_t,
+static void libfs_lookup(libfs_ops_t *, fs_handle_t, cap_call_handle_t,
     ipc_call_t *);
-static void libfs_stat(libfs_ops_t *, fs_handle_t, ipc_callid_t, ipc_call_t *);
-static void libfs_open_node(libfs_ops_t *, fs_handle_t, ipc_callid_t,
+static void libfs_stat(libfs_ops_t *, fs_handle_t, cap_call_handle_t, ipc_call_t *);
+static void libfs_open_node(libfs_ops_t *, fs_handle_t, cap_call_handle_t,
     ipc_call_t *);
-static void libfs_statfs(libfs_ops_t *, fs_handle_t, ipc_callid_t,
+static void libfs_statfs(libfs_ops_t *, fs_handle_t, cap_call_handle_t,
     ipc_call_t *);
 
-static void vfs_out_fsprobe(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_fsprobe(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -87,5 +87,5 @@
 	vfs_fs_probe_info_t info;
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if ((!async_data_read_receive(&callid, &size)) ||
@@ -108,5 +108,5 @@
 }
 
-static void vfs_out_mounted(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_mounted(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -133,5 +133,5 @@
 }
 
-static void vfs_out_unmounted(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_unmounted(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -143,15 +143,15 @@
 }
 
-static void vfs_out_link(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_link(cap_call_handle_t rid, ipc_call_t *req)
 {
 	libfs_link(libfs_ops, reg.fs_handle, rid, req);
 }
 
-static void vfs_out_lookup(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_lookup(cap_call_handle_t rid, ipc_call_t *req)
 {
 	libfs_lookup(libfs_ops, reg.fs_handle, rid, req);
 }
 
-static void vfs_out_read(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_read(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -170,5 +170,5 @@
 }
 
-static void vfs_out_write(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_write(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -189,5 +189,5 @@
 }
 
-static void vfs_out_truncate(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_truncate(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -202,5 +202,5 @@
 }
 
-static void vfs_out_close(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_close(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -213,5 +213,5 @@
 }
 
-static void vfs_out_destroy(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_destroy(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -230,15 +230,15 @@
 }
 
-static void vfs_out_open_node(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_open_node(cap_call_handle_t rid, ipc_call_t *req)
 {
 	libfs_open_node(libfs_ops, reg.fs_handle, rid, req);
 }
 
-static void vfs_out_stat(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_stat(cap_call_handle_t rid, ipc_call_t *req)
 {
 	libfs_stat(libfs_ops, reg.fs_handle, rid, req);
 }
 
-static void vfs_out_sync(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_sync(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -251,10 +251,10 @@
 }
 
-static void vfs_out_statfs(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_statfs(cap_call_handle_t rid, ipc_call_t *req)
 {
 	libfs_statfs(libfs_ops, reg.fs_handle, rid, req);
 }
 
-static void vfs_out_is_empty(ipc_callid_t rid, ipc_call_t *req)
+static void vfs_out_is_empty(cap_call_handle_t rid, ipc_call_t *req)
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
@@ -278,5 +278,5 @@
 }
 
-static void vfs_connection(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+static void vfs_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	if (iid) {
@@ -291,5 +291,5 @@
 	while (true) {
 		ipc_call_t call;
-		ipc_callid_t callid = async_get_call(&call);
+		cap_call_handle_t callid = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -479,5 +479,5 @@
 {
 	size_t size;
-	ipc_callid_t wcall;
+	cap_call_handle_t wcall;
 
 	if (!async_data_write_receive(&wcall, &size))
@@ -492,5 +492,5 @@
 /** Link a file at a path.
  */
-void libfs_link(libfs_ops_t *ops, fs_handle_t fs_handle, ipc_callid_t rid,
+void libfs_link(libfs_ops_t *ops, fs_handle_t fs_handle, cap_call_handle_t rid,
     ipc_call_t *req)
 {
@@ -540,5 +540,5 @@
  *
  */
-void libfs_lookup(libfs_ops_t *ops, fs_handle_t fs_handle, ipc_callid_t rid,
+void libfs_lookup(libfs_ops_t *ops, fs_handle_t fs_handle, cap_call_handle_t rid,
     ipc_call_t *req)
 {
@@ -720,5 +720,5 @@
 }
 
-void libfs_stat(libfs_ops_t *ops, fs_handle_t fs_handle, ipc_callid_t rid,
+void libfs_stat(libfs_ops_t *ops, fs_handle_t fs_handle, cap_call_handle_t rid,
     ipc_call_t *request)
 {
@@ -730,5 +730,5 @@
 	on_error(rc, answer_and_return(rid, rc));
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if ((!async_data_read_receive(&callid, &size)) ||
@@ -759,5 +759,5 @@
 }
 
-void libfs_statfs(libfs_ops_t *ops, fs_handle_t fs_handle, ipc_callid_t rid,
+void libfs_statfs(libfs_ops_t *ops, fs_handle_t fs_handle, cap_call_handle_t rid,
     ipc_call_t *request)
 {
@@ -769,5 +769,5 @@
 	on_error(rc, answer_and_return(rid, rc));
 
-	ipc_callid_t callid;
+	cap_call_handle_t callid;
 	size_t size;
 	if ((!async_data_read_receive(&callid, &size)) ||
@@ -819,5 +819,5 @@
  *
  */
-void libfs_open_node(libfs_ops_t *ops, fs_handle_t fs_handle, ipc_callid_t rid,
+void libfs_open_node(libfs_ops_t *ops, fs_handle_t fs_handle, cap_call_handle_t rid,
     ipc_call_t *request)
 {
